#!/bin/bash

activeset=`mysql -se "USE zm; SELECT DISTINCT(SUBSTRING_INDEX(Name,'-',1)) from Zones WHERE Type='Active';" | sed -n -e '1{p;q}' | tr [a-z] [A-Z] | awk '{$1=$1};1'`
activetime=`/nfs/swarm/zoneminder/scripts/sunwait poll 41.4245N 91.0432W | awk '{$1=$1};1'`

if [ "$activeset" != "$activetime" ]; then
	eval sudo /nfs/swarm/zoneminder/scripts/zm-modeswitch.pl 5 "$activeset" "$activetime"
	echo "Activating $activetime and deactivating $activeset"
else
	echo "Everything's set correctly"
fi
